"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HookMethod = void 0;
const __1 = require("..");
class HookMethod {
    constructor(method, file, options) {
        this._method = method;
        this._file = file;
        this._options = options;
    }
    getMethod() {
        return this._method;
    }
    getFilePath() {
        return this._file;
    }
    setInstance(instance) {
        this._instance = instance;
    }
    getTags() {
        return this._options ? this._options.tags : [];
    }
    getTagAggregationOperator() {
        return (this._options && this._options.operator) ? this._options.operator : __1.Operator.And;
    }
    getInstance() {
        return this._instance;
    }
}
exports.HookMethod = HookMethod;
