import { Range } from "./Range";
import { CommonFunction } from '../utils/Util';
export declare class StepRegistryEntry {
    private readonly _method;
    private readonly _filePath;
    private readonly _span;
    private readonly _stepText;
    private readonly _stepValue;
    private _instance;
    private readonly _hasAlias;
    constructor(stepText: string, stepValue: string, filePath: string, method?: CommonFunction, span?: Range, hasAlias?: boolean);
    getMethod(): CommonFunction | undefined;
    getInstance(): Record<string, unknown> | undefined;
    setInstance(instance: Record<string, unknown>): Record<string, unknown>;
    getFilePath(): string;
    getRange(): Range | undefined;
    getStepText(): string;
    hasAlias(): boolean;
}
