"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepRegistryEntry = void 0;
class StepRegistryEntry {
    constructor(stepText, stepValue, filePath, method, span, hasAlias) {
        this._stepText = stepText;
        this._stepValue = stepValue;
        this._method = method;
        this._filePath = filePath;
        this._span = span;
        this._hasAlias = hasAlias || false;
    }
    getMethod() {
        return this._method;
    }
    getInstance() {
        return this._instance;
    }
    setInstance(instance) {
        return this._instance = instance;
    }
    getFilePath() {
        return this._filePath;
    }
    getRange() {
        return this._span;
    }
    getStepText() {
        return this._stepText;
    }
    hasAlias() {
        return this._hasAlias;
    }
}
exports.StepRegistryEntry = StepRegistryEntry;
