"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExecutionContext = void 0;
class ExecutionContext {
    constructor(spec, scenario, step, stackTrace) {
        this._spec = spec;
        this._scenario = scenario;
        this._step = step;
        this._stackTrace = stackTrace;
    }
    getCurrentSpec() {
        return this._spec;
    }
    getCurrentScenario() {
        return this._scenario;
    }
    getCurrentStep() {
        return this._step;
    }
    getStacktrace() {
        return this._stackTrace;
    }
}
exports.ExecutionContext = ExecutionContext;
