"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepInfo = void 0;
class StepInfo {
    constructor(text, dynamicText, isFailing, message, stackTrace) {
        this._text = text;
        this._dynamicText = dynamicText;
        this._isFailing = isFailing;
        this._stackTrace = stackTrace;
        this._errorMessage = message;
    }
    getText() {
        return this._text;
    }
    getDynamicText() {
        return this._dynamicText;
    }
    getErrorMessage() {
        return this._errorMessage;
    }
    getStacktrace() {
        return this._stackTrace;
    }
    getIsFailing() {
        return this._isFailing;
    }
}
exports.StepInfo = StepInfo;
