"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataStore = void 0;
class DataStore {
    constructor() {
        this.store = new Map();
    }
    put(key, value) {
        this.store.set(key, value);
    }
    get(key) {
        return this.store.get(key);
    }
    remove(key) {
        return this.store.delete(key);
    }
    clear() {
        this.store.clear();
    }
    get length() {
        return this.store.size;
    }
    entries() {
        return this.store.entries();
    }
}
exports.DataStore = DataStore;
