"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataStoreFactory = void 0;
const DataStore_1 = require("./DataStore");
class DataStoreFactory {
    static getSuiteDataStore() {
        if (!global.gaugeSuiteDataStore) {
            global.gaugeSuiteDataStore = new DataStore_1.DataStore();
        }
        return global.gaugeSuiteDataStore;
    }
    static getSpecDataStore() {
        if (!global.gaugeSpecDataStore) {
            global.gaugeSpecDataStore = new DataStore_1.DataStore();
        }
        return global.gaugeSpecDataStore;
    }
    static getScenarioDataStore() {
        if (!global.gaugeScenarioDataStore) {
            global.gaugeScenarioDataStore = new DataStore_1.DataStore();
        }
        return global.gaugeScenarioDataStore;
    }
}
exports.DataStoreFactory = DataStoreFactory;
